=== debian/control ===
Source: ros-indigo-urdf-transform
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-baselib-binding, ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-urdf-traverser
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-urdf-transform
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-baselib-binding, ros-indigo-roscpp, ros-indigo-urdf-traverser
Description: Provides a collection of functions which can be applied on a URDF traversed by urdf_traverser
